//From http://www.mkyong.com/java/how-to-detect-os-in-java-systemgetpropertyosname/

package smart_gs.util;
public class OperatingSystem{
 
	public static boolean isWindows(){

		String os = System.getProperty("os.name").toLowerCase();
		//windows
		return (os.indexOf( "win" ) >= 0); 

	}

	public static boolean isMac(){

		String os = System.getProperty("os.name").toLowerCase();
		//Mac
		return (os.indexOf( "mac" ) >= 0); 

	}

	public static boolean isUnix(){

		String os = System.getProperty("os.name").toLowerCase();
		//linux or unix
		return (os.indexOf( "nix") >=0 || os.indexOf( "nux") >=0);

	}
}
